CREATE TABLE egi_mass_update_entities (
    ENTITY_KEY_ID            NUMBER        ,
    MASS_UPDATE_ID           NUMBER            NOT NULL,
    TYPE                     VARCHAR2(120)     NOT NULL,
    ENTITY_TYPE              VARCHAR2(120)     NOT NULL,
    PK1_VALUE                VARCHAR2(960) ,
    PK2_VALUE                VARCHAR2(960) ,
    PK3_VALUE                VARCHAR2(960) ,
    PK4_VALUE                VARCHAR2(960) ,
    PK5_VALUE                VARCHAR2(960) ,
    PK6_VALUE                VARCHAR2(960) ,
    PK7_VALUE                VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ENTITY_KEY_ID            NUMBER        ,
    MASS_UPDATE_ID           NUMBER            NOT NULL,
    TYPE                     VARCHAR2(120)     NOT NULL,
    ENTITY_TYPE              VARCHAR2(120)     NOT NULL,
    PK1_VALUE                VARCHAR2(960) ,
    PK2_VALUE                VARCHAR2(960) ,
    PK3_VALUE                VARCHAR2(960) ,
    PK4_VALUE                VARCHAR2(960) ,
    PK5_VALUE                VARCHAR2(960) ,
    PK6_VALUE                VARCHAR2(960) ,
    PK7_VALUE                VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_egi_mass_update_entities PRIMARY KEY (ENTITY_KEY_ID, ENTITY_KEY_ID)
);
